#@TYPE: Machine
#@NAME: OMAP1510 cpu on iPAQ h6315, h6340 and h6365
#@DESCRIPTION: Machine configuration for the OMAP1510 based HP iPAQ h6300 series devices.

#
# Hardware-based properties
#
TARGET_ARCH = "arm"
PACKAGE_ARCH = "arm"
PACKAGE_EXTRA_ARCHS = "arm armv4 armv4t"

#Use OMAP 1510 cpu specifig arm9tdmi options for gcc
require conf/machine/include/tune-arm9tdmi.inc

MACHINE_GUI_CLASS = "smallscreen"
MACHINE_DISPLAY_WIDTH_PIXELS = "240"
MACHINE_DISPLAY_HEIGHT_PIXELS = "320"
MACHINE_FEATURES = "kernel26 touchscreen apm alsa irda bluetooth wifi usbgadget screen vfat"

#
# Software/packages selection
#
PREFERRED_PROVIDER_virtual/kernel = "linux-h6300-omap1"
PREFERRED_PROVIDER_xserver = "xserver-kdrive"

MACHINE_EXTRA_RRECOMMENDS = "kernel-module-omapts \
                             kernel-module-omap-keypad \
                             kernel-module-h6300-bt"

EXTRA_IMAGECMD_jffs2 = "--pad --little-endian --eraseblock=0x40000"

#
# Modules autoload and other boot properties
#
module_autoload_omapts = "omapts"
module_autoload_omap-keypad = "omap-keypad"
module_autoload_hci_uart = "hci_uart"
module_autoload_h6300_bt = "h6300_bt"
module_autoload_l2cap = "l2cap"
#common alsa sound modules
module_autoload_snd-omap-alsa-tsc2101 = "snd-omap-alsa-tsc2101"
module_autoload_snd-pcm-oss = "snd-pcm-oss"
module_autoload_snd-mixer-oss = "snd-mixer-oss"

SERIAL_CONSOLE = "115200 ttyS0"
